<?php 

require("ESLPackageCreation.php");

$package = new ESLPackageCreation();

$packageId = $package->buildPackage($_POST['firstName'], $_POST['lastName'], $_POST['emailAddress']);

$response = $package->buildDocument($packageId, $_POST['firstName'], $_POST['lastName'], $_POST['address'], $_POST['city'], $_POST['state'], $_POST['zip'], $_POST['phoneNumber'], $_POST['emailAddress'], $_POST['company']);

$package->buildSend($packageId);

$test = $package->buildSign($packageId);

$token = $package->buildToken($packageId);
$value = $token['value'];
?>

<html>
	<head>
		<title>Purchase Order Confirmation</title>
		<style>
		.video-container{background:#ccc;padding:15px 15px 0px 15px;}

.vid {position: relative; padding-bottom: 56.25%; padding-top: 30px; height: 0; overflow: hidden; margin-bottom: 25px;} 
.vid iframe, .vid object,.vid embed {position: absolute; top: 0; left: 0; width: 100%; height: 100%;}
.video-mobile-headline{display: none; margin:0px;}

/*Mobile Rendering. Add to the very end of your CSS file.*/
@media only screen and (max-device-width: 800px), only screen and (device-width: 1024px) and (device-height: 600px), only screen and (width: 1280px) and (orientation: landscape), only screen and (device-width: 800px), only screen and (max-width: 767px) {
.video-container{padding-bottom:10px;}
.flex-video { padding-top: 0;}

}

@media (max-width: 767px){
    .video-mobile-headline{display: block;}
    }</style>
	</head>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
	<body>
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
			<div class="col-sm-8 col-sm-offset-2 video-container">
<h3 class="video-mobile-headline">Sign the Purchase Order Below:</h3>
    <div class="vid">
       <iframe src="https://sandbox.esignlive.com/access?sessionToken=<?php echo $value; ?>" width="1000" height="700"></iframe>

       
    </div><!--End vid-->
    <button class="btn btn-lg btn-primary btn-block" type="submit" id="check">Proceed to Payment</button>
</div>

	</body>
</html>

<script>
    $('#check').click(function () {
	    $.ajax({
	      type: "POST",
		  url: "check_session.php",
		  data: { id: "<?php echo $packageId['id']; ?>" },
		  dataType: "json",
		  success: function(data) {
			    if (data['status'] == 'COMPLETED') {
			        $.get("clearsession.php");
			       	location.href = "stripe.html"
			    }
			    else {
			        alert('Please sign all documents!');
			    }
		  }
		});
	});
</script>